Subject: Re: [PATCH net-next v4 1/3] net: stmmac: Add generic suspend/resume helper for PCI-based controllers

From: Yao Zi <[email-masked]>
Date: Sat, 15 Nov 2025 09:37:50 +0000

On Wed, Nov 12, 2025 at 03:15:45PM +0000, Russell King (Oracle) wrote:
> On Wed, Nov 12, 2025 at 06:57:20AM -0800, Jakub Kicinski wrote:
> > On Tue, 11 Nov 2025 10:07:26 +0000 Yao Zi wrote:
> > > +config STMMAC_LIBPCI
> > > +	tristate "STMMAC PCI helper library"
> > > +	depends on PCI
> > > +	default y
> > > +	help
> > > +	  This selects the PCI bus helpers for the stmmac driver. If you
> > > +	  have a controller with PCI interface, say Y or M here.
> > 
> > I didn't pay enough attention to the discussion on v2, sorry.
> > I understand that there's precedent for a library symbol hiding
> > real symbols in this driver but it really makes for a poor user
> > experience.
> > 
> > The symbol should be hidden, and select'ed by what needs it.
> > With the PCI dependency on the real symbol, not here.
> > 
> > The "default y" may draw the attention of the Superior Penguin.
> > He may have quite a lot to criticize in this area, so let's
> > not risk it..
> 
> Okay, should we also convert STMMAC_PLATFORM to behave the same way,
> because it's odd to have one bus type acting one way and the other
> differently.

I don't have a strong opinion about the Kconfig style, so should I go
back to make drivers select STMMAC_LIBPCI as suggested by Maxime in
v2[1], and drop the "default y" statement from STMMAC_LIBPCI?

Best regards,
Yao Zi

[1]: https://lore.kernel.org/netdev/[email-masked]/

> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!